mobius_model_includedir = $(includedir)/mobius/model
nobase_mobius_model_include_HEADERS = *.h

noinst_LTLIBRARIES = libmobius-model.la
libmobius_model_la_CXXFLAGS = -I$(top_srcdir)/src
libmobius_model_la_LDFLAGS = -avoid-version

libmobius_model_la_SOURCES =						\
	account.cc							\
	ant.cc								\
	application.cc							\
	bookmarked_url.cc						\
	call.cc								\
	case.cc								\
	case_schema.cc							\
	chat_message.cc							\
	cookie.cc							\
	encryption_key.cc						\
	evidence.cc							\
	ip_address.cc							\
	item.cc								\
	opened_file.cc							\
	password.cc							\
	password_hash.cc						\
	profile.cc							\
	text_autocomplete.cc						\
	text_search.cc							\
	trash_can_entry.cc						\
	visited_url.cc							\
	item_account.cc							\
	item_ant.cc							\
	item_evidence.cc						\
	item_bookmarked_url.cc						\
	item_call.cc							\
	item_chat_message.cc						\
	item_cookie.cc							\
	item_encryption_key.cc						\
	item_ip_address.cc						\
	item_opened_file.cc						\
	item_password.cc						\
	item_password_hash.cc						\
	item_profile.cc							\
	item_text_autocomplete.cc					\
	item_text_search.cc						\
	item_trash_can_entry.cc						\
	item_visited_url.cc
